
Redmine - Defect #665

Mantis Importer Mixes Ticket Numbers

2008-02-14 17:52 - Sven Schuchmann

Status: Closed Start date: 2008-02-14

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hi,

I have done an Import from my Mantis Database.

The Problem is that the ticket Numbers in redmine [1144]

are now different from the ones in the Mantis Bugtracker.

The Mantis importer says:

Bugs:            2331/2331

After that I have 2331 Tickets in redmine,

but my Mantis Bugtracker contains 2342 Tickets.

So there are 11 Tickets Missing...

History

#1 - 2008-02-14 19:06 - Sven Schuchmann

Hi,

just analyzed my database and it seems that someone

deleted the 11 tickets directly from the database.

(the database is 4 years old and I took it over 2 years ago)

I will enter the 11 dummy tickets and try to import again...

#2 - 2008-02-15 16:51 - Sven Schuchmann

Okay, here is what I did: I added 11 tickets in redmine

and changed the "id" field in "mantis_bug_table" to the gaps.

But: They were still imported with the wrong numbers.

So I patched the importer "migrate_from_mantis.rake".

I changed the line:

MantisBug.find(:all).each do |bug|

to:

MantisBug.find(:all, :order => 'id ASC').each do |bug|

 And they all got imported correctly... Ticket can be closed!

#3 - 2008-02-15 17:42 - Jean-Philippe Lang

- Status changed from New to Closed

I made a small fix to the Mantis importer in r1146 so that it preserves Mantis bug ids, even if you have deleted some bugs.
